
import data
import pygame
import game
import time

window_size = (800,600)
fullscreen = False

def main():
	if (6,0) != pygame.init():
		raise Exception("Could not initialize pygame")
	
	flags = pygame.DOUBLEBUF | pygame.OPENGL | pygame.HWSURFACE
	if fullscreen:
		flags |= pygame.FULLSCREEN
		
	window = pygame.display.set_mode(window_size,flags)
	
	g = game.Game()
	pygame.mixer.init()
	while True:
		events = pygame.event.get()
		if events != []:
			for event in events:
				g.handle_event(event)
		else:
			if True == g.do_frame():
				break
			g.draw()
			pygame.display.flip()
	
if __name__ == "__main__":
	main()
	